package com.xmomen.module.system.model;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Created by Jeng on 16/3/26.
 */
public class CreateOrganization implements Serializable {

    @NotNull
    @NotBlank
    private String name;
    @NotNull
    @NotBlank
    private String description;

    // 父节点ID
    private Integer parentId;

    // 获取名称
    public String getName() {
        return name;
    }

    // 设置名称
    public void setName(String name) {
        this.name = name;
    }

    // 获取描述
    public String getDescription() {
        return description;
    }

    // 设置描述
    public void setDescription(String description) {
        this.description = description;
    }

    // 获取父节点ID
    public Integer getParentId() {
        return parentId;
    }

    // 设置父节点ID
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }
}
